-- Example how groups work and what they are good for!
-- GOOi library by Alberto Lara

require "gooi"
function love.load()
    group = "g1"
    btn = gooi.newButton({text = "See group 2"}):onRelease(function(c)
        if group == "g1" then
            group = "g2"
            c:setText("See group 1")
        else
            group = "g1"
            c:setText("See group 2")
        end
    end)

    leftPanel = gooi.newPanel({
        x = 10,
        y = 100,
        w = 200,
        h = 150,
        layout = "grid 3x1"
    }):add(
        -- "radio_grp" applies for these 3 radios only:
        gooi.newRadio({text = "Radio 1", radioGroup = "radio_grp"}),
        gooi.newRadio({text = "Radio 2", radioGroup = "radio_grp"}),
        gooi.newRadio({text = "Radio 3", radioGroup = "radio_grp"}):select()
    ):setGroup("g1") -- General group

    rightPanel = gooi.newPanel({
        x = 220,
        y = 100,
        w = 200,
        h = 150,
        layout = "grid 3x1"
    }):add(
        gooi.newRadio({text = "Radio 1", radioGroup = "radio_grp_2"}),
        gooi.newRadio({text = "Radio 2", radioGroup = "radio_grp_2"}),
        gooi.newRadio({text = "Radio 3", radioGroup = "radio_grp_2"}):select()
    ):setGroup("g2") -- General group
end
function love.draw()
    gooi.draw()-- draw button
    gooi.draw(group)-- draw the radios
end

function love.mousereleased(x, y, button) gooi.released() end
function love.mousepressed(x, y, button)  gooi.pressed() end